Priority: Normal Due date:  
Category:  Estimated time: 0.00 hour

Target version: 4.0   

Description

Subtasks:

Feature # 2653: Setup The Basics Closed

  Feature # 2633: Integrate React toolchain Closed

  Feature # 2648: Add test framework Closed

  Feature # 2649: Add linting Closed

  Feature # 2650: Setup CI/CD Closed

  Feature # 2651: Integrate into main app Closed

  Feature # 2652: Integrate Semantic UI Closed

  Feature # 2660: Integrate theme Closed

Feature # 2654: About Dialog Closed

Feature # 2655: Reader View Closed

  Feature # 2661: Handle verse links Closed

  Feature # 2662: Table of Contents Closed

  Feature # 2663: Handle reference jump Closed

  Feature # 2669: Work Pagination Closed

  Feature # 2670: Version Switch Closed

  Feature # 2675: Load from URL Closed

    Feature # 2702: Make intermediate class for handling routing Closed

    Feature # 2703: Add routing of divisions Closed

    Feature # 2704: Add routing of not found pages Closed

    Feature # 2707: Handle requests for works that do not exist Closed

    Feature # 2708: Handle requests for divisions that do not exist Closed

  Feature # 2679: Handle notes Closed

Task # 2658: Get local proxy to work Closed

Feature # 2659: Add API call reading a work Closed

Feature # 2664: Work Information Dialog Closed

Feature # 2666: Download Work Dialog Closed

Feature # 2667: Select Work Dialog Closed

  Feature # 2692: Add authors to description Closed

  Feature # 2693: Add filtering Closed

  Feature # 2694: Wire-up to reading page Closed

  Feature # 2697: Make icons only load when they are viewable Closed

  Feature # 2698: Make popup disable when a work is selected Closed

  Feature # 2699: Make clicking a row look like a selection Closed

  Feature # 2700: Add authors and editors to searching Closed

Feature # 2668: Morphology Popover Closed

  Feature # 2682: Make the glosses hidden in an accordian Closed

  Feature # 2683: Prevent the popover from sticking out past the edge of the window Closed
#1 - 04/18/2020 05:34 AM - Luke Murphey

Example of navigation https://react.semantic-ui.com/layouts/fixed-menu

#2 - 04/27/2020 06:38 PM - Luke Murphey

- Status changed from New to In Progress

#3 - 04/28/2020 11:16 PM - Luke Murphey

Some ideas from Olive tree: https://www.olivetree.com/blog/net-bible-need-to-know/

Ability to open notes on the side

#4 - 05/04/2020 05:27 PM - Luke Murphey

- Status changed from In Progress to Closed
